Invocation
Date: 2015-09-17

org.easymock.internal

## Class Invocation

- java.lang.Object
- - org.easymock.internal.Invocation

- All Implemented Interfaces:
    java.io.Serializable

      public class Invocation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Invocation(java.lang.Object mock, java.lang.reflect.Method method, java.lang.Object[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCapture(Captures<java.lang.Object> capture, java.lang.Object value)`
    `void` | `clearCaptures()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Object[]` | `getArguments()`
    `java.lang.reflect.Method` | `getMethod()`
    `java.lang.Object` | `getMock()`
    `java.lang.String` | `getMockAndMethodName()`
    `int` | `hashCode()`
    `static boolean` | `isJavaIdentifier(java.lang.String mockName)`
    `java.lang.String` | `toString()`
    `void` | `validateCaptures()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Invocation

          public Invocation(java.lang.Object mock,
                    java.lang.reflect.Method method,
                    java.lang.Object[] args)

  - ### Method Detail

    - #### getMock

          public java.lang.Object getMock()

    - #### getMethod

          public java.lang.reflect.Method getMethod()

    - #### getArguments

          public java.lang.Object[] getArguments()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMockAndMethodName

          public java.lang.String getMockAndMethodName()

    - #### addCapture

          public void addCapture(Captures<java.lang.Object> capture,
                        java.lang.Object value)

    - #### validateCaptures

          public void validateCaptures()

    - #### clearCaptures

          public void clearCaptures()

    - #### isJavaIdentifier

          public static boolean isJavaIdentifier(java.lang.String mockName)